<?xml version="1.0"?>
<!--
   PACKING LIST WoodX V2R31 Build 2008-05-08 Juha-Pekka Ylitolva UPM 2008-12-20
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <!--
<xsl:stylesheet xmlns:xsl="http://www.w3.org/tr/wd-xls" version="1.0">
-->
    <!-- HEADER NAME -->
    <!--
<xsl:variable name="header" select="upper(//Availability/@DeliveryMessageType)"/>
-->
    <xsl:variable name="header" select="'STOCK NOTE'"/>
    <xsl:variable name="headertp" select="'(Availability Message)'"/>
    <!-- HEADER CONSTANTS -->
    <xsl:variable name="hdcom" select="'Company'"/>
    <xsl:variable name="hddte" select="'Date'"/>
    <xsl:variable name="hdbvn" select="'Buyers VAT-number'"/>
    <xsl:variable name="hdinr" select="'Invoice No.'"/>
    <xsl:variable name="hddod" select="'Date of Delivery'"/>
    <xsl:variable name="hdbid" select="'Buyers ID'"/>
    <xsl:variable name="hdlo" select="'L/O'"/>
    <!-- SHIPMENT ITEM HEADERS -->
    <xsl:variable name="itm1" select="'Product'"/>
    <xsl:variable name="itm2" select="'Size'"/>
    <xsl:variable name="itm3" select="'US'"/>
    <xsl:variable name="itm4" select="'KV'"/>
    <xsl:variable name="itm5" select="'SX'"/>
    <xsl:variable name="itm6" select="'ST'"/>
    <xsl:variable name="itm7" select="'REGULA'"/>
    <xsl:variable name="itm8" select="'PRSEL'"/>
    <xsl:variable name="itm9" select="'PVVL'"/>
    <xsl:variable name="itm10" select="'SXKL'"/>
    <xsl:variable name="itm11" select="'Period'"/>
    <xsl:variable name="unknown" select="''"/>
    <xsl:template match="/">
        <html>
            <head>
                <meta http-equiv="Content-Type" content="text/html"
                    charset="windows-1252"/>
                <link rel="stylesheet" href="../css/woodx.css" type="text/css"/>
                <!-- copy styles here -->
   <STYLE TYPE="text/css">
body
{
 font-family: Verdana, Arial, Helvetica;
 background-color: rgb(256,256,256);
 color: black;
}

H1
{
 font-family: Verdana, Arial, Helvetica, sans-serif;
 font-size: 20px;
 color: rgb(0,0,0);
}
.header16_
{
 font-size: 13px;
 font-weight: bold;
 background-color: rgb(256,256,256);
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
}
.datatable13_
{
 font-size: 10px;
 background-color: rgb(256,256,256);
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
}
.datatable13right_
{
 font-size: 10px;
 background-color: rgb(256,256,256);
 color: black;
 text-align: right;
 vertical-align: top;
 padding-left: 0px;
}
.datatable13left_
{
 font-size: 10px;
 background-color: rgb(256,256,256);
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
}
.datatable10_
{
 font-size: 8px;
 background-color: rgb(256,256,256);
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
}
.datatable13gray_
{
 font-size: 10px;
 background-color:rgb(211,211,211);
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
}
.datatable13rightgray_
{
 font-size: 10px;
 background-color:rgb(211,211,211);
 color: black;
 text-align: right;
 vertical-align: top;
 padding-left: 0px;
}
.datatable10gray_
{
 font-size: 8px;
 background-color:lightgray;
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
}
.dataheader13uright_
{
 font-size: 10px;
 font-weight: bold;
 background-color: rgb(256,256,256);
 color: black;
 text-align: right;
 vertical-align: top;
 padding-left: 0px;
 BORDER-BOTTOM: #000080 1px ridge;
}

.dataheader13uleft_
{
 font-size: 10px;
 font-weight: bold;
 background-color: rgb(256,256,256);
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
 BORDER-BOTTOM: #000080 1px ridge;
}

.dataheader13u_
{
 font-size: 10px;
 font-weight: bold;
 background-color: rgb(256,256,256);
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
 BORDER-BOTTOM: #000080 1px ridge;
}
.dataheader9_
{
 font-size: 7px;
 font-weight: bold;
 background-color: rgb(256,256,256);
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
}
.dataheader12_
{
 font-size: 9px;
 font-weight: bold;
 background-color: rgb(256,256,256);
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
}
.dataheader12right_
{
 font-size: 9px;
 font-weight: bold;
 background-color: rgb(256,256,256);
 color: black;
 text-align: right;
 vertical-align: top;
 padding-left: 0px;
}
.dataheader13_
{
 font-size: 9px;
 font-weight: bold;
 background-color: rgb(256,256,256);
 color: black;
 text-align: left;
 vertical-align: top;
 padding-left: 0px;
}
.dataheader13right_
{
 font-size: 9px;
 font-weight: bold;
 background-color: rgb(256,256,256);
 color: black;
 text-align: right;
 vertical-align: top;
 padding-left: 0px;
}
.dataheader15right_
{
 font-size: 12px;
 font-weight: bold;
 background-color: rgb(256,256,256);
 color: black;
 text-align: right;
 vertical-align: top;
 padding-right: 10px;
}

   </STYLE>
                <!-- -->
                <title>
                    <xsl:value-of select="$header"/><xsl:value-of select="$headertp"/>
                </title>
            </head>
            <body>
                <!-- BUILD HEADER -->
                <xsl:call-template name="header">
                    <xsl:with-param name="element"
                        select=".//Availability/AvailabilityHeader"/>
                </xsl:call-template>
                <hr width="100%" align="left"/>
                <!-- BILLING DATA -->
                <xsl:call-template name="billingdata">
                    <xsl:with-param name="element"
                        select=".//Availability/AvailabilityHeader"/>
                    <xsl:with-param name="location"
                        select=".//Availability/AvailabilityDetail/LocationParty"/>
                </xsl:call-template>
                <hr width="100%" align="left"/>
                <table border="0" cellpadding="2" cellspacing="0" width="100%">
                    <!-- BUILD SHIPMENT HEADER -->
                    <xsl:call-template name="shipmentheader">
                    </xsl:call-template>
                    <!-- BUILD SHIPMENT ROWS -->
                    <xsl:for-each select=".//Availability/AvailabilityDetail">
                        <xsl:sort select="ProductDescription"
                            order="descending"/>
                        <xsl:call-template name="shipmentrow">
                            <xsl:with-param name="element" select="."/>
                        </xsl:call-template>
                    </xsl:for-each>
                    <tr/>
                    <xsl:call-template name="summary">
                        <xsl:with-param name="element"
                            select=".//Availability/AvailabilityDetail"/>
                    </xsl:call-template>
                </table>
                <hr width="100%" align="left"/>
            </body>
        </html>
    </xsl:template>
    <!-- ///////////////////////////////////////////////////

   This template builds fixed header

   params:
   -  element : contains header construction elements

//////////////////////////////////////////////////////// -->
    <xsl:template name="header">
        <xsl:param name="element"/>
        <table border="0" cellpadding="2" cellspacing="0" width="100%">
            <!-- /// 'HEADER' ROW /// -->
            <td width="40%" class="datatableimg">
                <img src="../kuvat/PapiNetWoodX.jpg"/>
                <br/>
                <br/>
                <br/>
            </td>
            <td width="23%">
                <h1>
                    <xsl:value-of select="$header"/><font size="1"><xsl:value-of select="$headertp"/></font>
                </h1>
                <br/>
                <br/>
                <br/>
            </td>
            <td width="23%" class="datatable13_">
            </td>
            <td width="14%" class="datatable13_">
            </td>
            <tr/>
            <td/>
            <td class="datatable13_">
                <b>
                    <xsl:value-of select="$hdcom"/>
                </b>
                <br/>
                <xsl:value-of select="$element/SenderParty/NameAddress/Name1"/>
            </td>
            <tr/>
            <td/>
            <td class="datatable13_">
                <b>
                    <xsl:value-of select="$hddte"/>
                </b>
                <br/>
                <xsl:value-of
                    select="concat($element/AvailabilityIssueDate/Date/Day,'.',$element/AvailabilityIssueDate/Date/Month,'.',$element/AvailabilityIssueDate/Date/Year)"/>
            </td>
        </table>
    </xsl:template>
    <!-- ///////////////////////////////////////////////////

   This template builds billing data

   params:
   -  element : contains header construction elements
  -  location : contains location data

//////////////////////////////////////////////////////// -->
    <xsl:template name="billingdata">
        <xsl:param name="element"/>
        <xsl:param name="location"/>
        <table border="0" cellpadding="2" cellspacing="0" width="99%">
            <td width="20%" class="datatable13_">
                <b>Location</b>
                <br/>
                    <xsl:value-of select="$location/NameAddress/Name1"/>
            </td>
            <tr/>
            <td width="20%" class="datatable13_">
                <b>Buyer's reference</b>
                <br/>
            </td>
            <tr/>
            <td width="20%" class="datatable13_">
                <b>Reference number</b>
                <br/>
            </td>
        </table>
    </xsl:template>
    <!-- ///////////////////////////////////////////////////

   This template builds table header row of shipment rows

   params:
   -

//////////////////////////////////////////////////////// -->
    <xsl:template name="shipmentheader">
        <tr>
            <td class="dataheader13u_" width="20%">
                <xsl:value-of select="$itm1"/>
            </td>
            <td class="dataheader13uleft_" width="8%">
                <xsl:value-of select="$itm2"/>
            </td>
            <td class="dataheader13uright_" width="8%">
                <xsl:value-of select="$itm3"/>
            </td>
            <td class="dataheader13uright_" width="8%">
                <xsl:value-of select="$itm4"/>
            </td>
            <td class="dataheader13uright_" width="8%">
                <xsl:value-of select="$itm5"/>
            </td>
            <td class="dataheader13uright_" width="8%">
                <xsl:value-of select="$itm6"/>
            </td>
            <td class="dataheader13uright_" width="8%">
                <xsl:value-of select="$itm7"/>
            </td>
            <td class="dataheader13uright_" width="8%">
                <xsl:value-of select="$itm8"/>
            </td>
            <td class="dataheader13uright_" width="8%">
                <xsl:value-of select="$itm9"/>
            </td>
            <td class="dataheader13uright_" width="8%">
                <xsl:value-of select="$itm10"/>
            </td>
            <td class="dataheader13uright_" width="7%">
                <xsl:value-of select="$itm11"/>
            </td>
        </tr>
    </xsl:template>
    <!-- ///////////////////////////////////////////////////

   This template builds shipment row

   params:
   -  element : contains shipment row elements
substring-before(substring-after(ProductDescription,' '),' ')=$itm3]
//////////////////////////////////////////////////////// -->
    <xsl:template name="shipmentrow">
        <xsl:param name="element"/>
        <xsl:variable name="size"
            select="substring-before(substring-after($element/Product/ProductDescription,' '),' ')">
        </xsl:variable>
        <xsl:variable name="type"
            select="substring-before(substring-after(substring-after($element/Product/ProductDescription,' '),' '),' ')">
        </xsl:variable>
        <tr>
            <td class="dataheader13_" width="20%">
<!--
<xsl:value-of
                    select="$element/Product/WoodProducts/WoodTimbersDimensionalLumberBoards/SoftwoodLumber/SoftwoodLumberCharacteristics/LumberSpecies/@SpeciesType"/>
-->
      <xsl:value-of
                    select="$element/Product/ProductDescription"/>
            </td>
            <td class="datatable13left_" >
                <xsl:value-of select="$size"/>
            </td>
            <td class="datatable13right_">
                <xsl:if test="$type=$itm3">
                    <xsl:value-of select="$element//Quantity/Value"/>
                </xsl:if>
            </td>
            <td class="datatable13right_">
                <xsl:if test="$type=$itm4">
                    <xsl:value-of select="$element//Quantity/Value"/>
                </xsl:if>
            </td>
            <td class="datatable13right_">
                <xsl:if test="$type=$itm5">
                    <xsl:value-of select="$element//Quantity/Value"/>
                </xsl:if>
            </td>
            <td class="datatable13right_">
                <xsl:if test="$type=$itm6">
                    <xsl:value-of select="$element//Quantity/Value"/>
                </xsl:if>
            </td>
        </tr>
    </xsl:template>
    <!-- ///////////////////////////////////////////////////

   This template builds product summary rows

   params:
   -  element : AvailibilityDetail

//////////////////////////////////////////////////////// -->
    <xsl:template name="summary">
        <xsl:param name="element"/>
        <tr>
            <td class="dataheader13_" width="20%">
                <xsl:value-of select="'+'"/>
            </td>
            <td class="dataheader13_">
            </td>
            <td class="datatable13right_">
                <xsl:value-of
                    select="sum($element/Product[substring-before(substring-after(substring-after(ProductDescription,' '),' '),' ')=$itm3]/../Quantity/Value)"/>
            </td>
            <td class="datatable13right_">
                <xsl:value-of
                    select="sum($element/Product[substring-before(substring-after(substring-after(ProductDescription,' '),' '),' ')=$itm4]/../Quantity/Value)"/>
            </td>
            <td class="datatable13right_">
                <xsl:value-of
                    select="sum($element/Product[substring-before(substring-after(substring-after(ProductDescription,' '),' '),' ')=$itm5]/../Quantity/Value)"/>
            </td>
            <td class="datatable13right_">
                <xsl:value-of
                    select="sum($element/Product[substring-before(substring-after(substring-after(ProductDescription,' '),' '),' ')=$itm6]/../Quantity/Value)"/>
            </td>
        </tr>
    </xsl:template>
</xsl:stylesheet>